Package org.eclipse.rdf4j.query.algebra.evaluation.function.xsd

## Class DecimalCast

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction
  - - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.DecimalCast

- All Implemented Interfaces:
    `Function`
  Direct Known Subclasses:
    `DecimalCast`

      public class DecimalCast
      extends CastFunction

  A `Function` that tries to cast its argument to an xsd:decimal.
  Author:
    Arjohn Kampman, Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DecimalCast()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Literal` | `convert​(ValueFactory valueFactory, Value value)` | Convert the supplied value to a literal of the function output datatype.
    `protected IRI` | `getXsdDatatype()` | Get the specific XML Schema datatype which this function returns.
    `protected boolean` | `isValidForDatatype​(String lexicalValue)` | Verifies that the supplied lexical value is valid for the datatype.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction

      `evaluate, getURI, getXsdName, typeError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, mustReturnDifferentResult`

- - ### Constructor Detail

    - #### DecimalCast

          public DecimalCast()

  - ### Method Detail

    - #### convert

          protected Literal convert​(ValueFactory valueFactory,
                                    Value value)
                             throws ValueExprEvaluationException

      Description copied from class: `CastFunction`
      Convert the supplied value to a literal of the function output datatype.
      Specified by:
        `convert` in class `CastFunction`
      Parameters:
        `valueFactory` - the valueFactory to use
        `value` - a value that is not a string-typed literal, and not a literal of the same datatype as the function output datatype.
      Returns:
        a literal value of the function output datatype
      Throws:
        `ValueExprEvaluationException` - if an error occurs in conversion.

    - #### getXsdDatatype

          protected IRI getXsdDatatype()

      Description copied from class: `CastFunction`
      Get the specific XML Schema datatype which this function returns.
      Specified by:
        `getXsdDatatype` in class `CastFunction`
      Returns:
        an XML Schema datatype IRI

    - #### isValidForDatatype

          protected boolean isValidForDatatype​(String lexicalValue)

      Description copied from class: `CastFunction`
      Verifies that the supplied lexical value is valid for the datatype.
      Specified by:
        `isValidForDatatype` in class `CastFunction`
      Parameters:
        `lexicalValue` - a lexical value
      Returns:
        true if the lexical value is valid for the datatype, false otherwise.